import React, { useState } from 'react';

var Chatapp = function Chatapp() {
  var _chatbox__messages, _messages__item__visi, _messages__item__oper;

  var _useState = useState(true),
      click = _useState[0],
      setClick = _useState[1];

  var chatbox = {
    position: "absolute",
    bottom: "30px",
    right: "30px"
  };
  var chatbox__button = {
    "float": "right",
    padding: "20px 9px 9px 9px",
    height: "60px",
    width: "17%",
    background: "white",
    border: "none",
    outline: "none",
    borderRadius: "50px",
    boxShadow: "0px 10px 15px rgba(0, 0, 0, 0.1)",
    cursor: "pointer"
  };
  var chatbox__support = {
    display: "flex",
    flexDirection: "column",
    background: "#f9f9f9",
    height: "450px",
    width: "350px",
    zIndex: "-123456",
    opacity: click ? "1" : "0",
    boxShadow: "0px 0px 15px rgba(0, 0, 0, 0.1)",
    borderTopLeftRadius: "20px",
    borderTopRightRadius: "20px"
  };
  var chatbox__header = {
    position: "sticky",
    top: "0",
    background: "#0042cc",
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    padding: "15px 20px",
    borderTopLeftRadius: "20px",
    borderTopRightRadius: "20px",
    boxShadow: "var(--primaryBoxShadow)"
  };
  var chatbox__image__header = {
    marginRight: "10px"
  };
  var chatbox__heading__header = {
    fontSize: "1.2rem",
    color: "white"
  };
  var chatbox__description__header = {
    fontSize: "0.9rem",
    color: "white"
  };
  var chatbox__messages = (_chatbox__messages = {
    padding: "0 20px",
    marginTop: "auto",
    display: "flex",
    flexDirection: "column",
    overflowY: "scroll"
  }, _chatbox__messages["flexDirection"] = "column-reverse", _chatbox__messages);
  var messages__item__visitor = (_messages__item__visi = {
    marginTop: "10px",
    background: "#e0e0e0",
    padding: "8px 12px",
    maxWidth: "70%",
    borderTopLeftRadius: "20px",
    borderTopRightRadius: "20px",
    borderBottomRightRadius: "20px"
  }, _messages__item__visi["padding"] = "10px", _messages__item__visi);
  var messages__item__operator = (_messages__item__oper = {
    marginTop: "10px",
    background: "#0042cc",
    padding: "8px 12px",
    maxWidth: "70%",
    marginLeft: "auto",
    borderTopLeftRadius: "20px",
    borderTopRightRadius: "20px",
    borderBottomLeftRadius: "20px",
    color: "white"
  }, _messages__item__oper["padding"] = "10px", _messages__item__oper);
  var chatbox__footer = {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-between",
    padding: "20px 20px",
    background: "#0042cc",
    boxShadow: "var(--secondaryBoxShadow)",
    borderBottomRightRadius: "10px",
    borderBottomLeftRadius: "10px",
    marginTop: "20px"
  };
  var footerInput = {
    border: "none",
    outline: "none",
    padding: "10px 30px",
    borderRadius: "30px",
    textAlign: "left"
  };
  var profileImage = {
    width: "50px",
    height: "50px",
    borderRadius: "50px"
  };
  return /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    style: chatbox
  }, /*#__PURE__*/React.createElement("div", {
    style: chatbox__support
  }, /*#__PURE__*/React.createElement("div", {
    style: chatbox__header
  }, /*#__PURE__*/React.createElement("div", {
    style: chatbox__image__header
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://www.linkpicture.com/q/LPic608127b89ae97112556148.png",
    style: profileImage,
    alt: "image"
  })), /*#__PURE__*/React.createElement("div", {
    className: "chatbox__content--header"
  }, /*#__PURE__*/React.createElement("h4", {
    style: chatbox__heading__header
  }, "Chat support"), /*#__PURE__*/React.createElement("p", {
    style: chatbox__description__header
  }, "There are many variations of passages of Lorem Ipsum available"))), /*#__PURE__*/React.createElement("div", {
    style: chatbox__messages
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
    style: (messages__item__visitor)
  }, "Can you let me talk to the support?"), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__operator)
  }, "Sure!"), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__visitor)
  }, "Need your help, I need a developer in my site."), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__operator)
  }, "Hi... What is it? I'm a front-end developer, yay!"), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__visitor)
  }, "Can you let me talk to the support?"), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__operator)
  }, "Sure!"), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__visitor)
  }, "Need your help, I need a developer in my site."), /*#__PURE__*/React.createElement("div", {
    style: (messages__item__operator)
  }, "Hi... What is it? I'm a front-end developer, yay!"))), /*#__PURE__*/React.createElement("div", {
    style: chatbox__footer
  }, /*#__PURE__*/React.createElement("input", {
    style: footerInput,
    type: "text",
    placeholder: "Write a message..."
  }), /*#__PURE__*/React.createElement("p", {
    style: {
      color: "white",
      cursor: "pointer"
    }
  }, "Send"))), /*#__PURE__*/React.createElement("div", {
    style: chatbox__button,
    onClick: function onClick() {
      return setClick(!click);
    }
  }, /*#__PURE__*/React.createElement("button", {
    style: {
      border: "none",
      outline: "none",
      background: "white"
    }
  }, /*#__PURE__*/React.createElement("img", {
    src: "https://www.linkpicture.com/q/chatbox-icon.png",
    style: {
      width: "60%",
      cursor: "pointer"
    }
  })))));
};

export { Chatapp };
//# sourceMappingURL=index.modern.js.map
